#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Tie
%define		pnam	Watch
Summary:	Tie::Watch - place watchpoints on Perl variables
Summary(pl.UTF-8):	Tie::Watch - umieszczanie punktów śledzenia na zmiennych Perla
Name:		perl-Tie-Watch
Version:	1.301
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Tie/SREZIC/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7ca00e8a3aeef60f6356fac46fec219c
Patch0:		%{name}-paths.patch
URL:		http://search.cpan.org/dist/Tie-Watch/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This class module binds one or more subroutines of your devising to a
Perl variable. All variables can have FETCH, STORE and DESTROY
callbacks. Additionally, arrays can define CLEAR, EXTEND, FETCHSIZE,
POP, PUSH, SHIFT, SPLICE, STORESIZE and UNSHIFT callbacks, and hashes
can define CLEAR, DELETE, EXISTS, FIRSTKEY and NEXTKEY callbacks. If
these term are unfamiliar to you, I really suggest you read
perltie(1).

%description -l pl.UTF-8
Ten moduł dowiązuje jedną lub więcej żądanych funkcji do perlowej
zmiennej. Wszystkie zmienne mogą mieć callbacki FETCH, STORE i
DESTROY. Dodatkowo, tablice mogą mieć zdefiniowane callbacki CLEAR,
EXTEND, FETCHSIZE, POP, PUSH, SHIFT, SPLICE, STORESIZE i UNSHIFT, a
hasze mogą mieć zdefiniowane callbacki CLEAR, DELETE, EXISTS, FIRSTKEY
i NEXTKEY. Jeżeli te nazwy nie wyglądają znajomo, dobrze jest
przeczytać manual perltie(1).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%patch0 -p0
%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Tie/Watch.pm
%{_mandir}/man3/Tie::Watch.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Thu Apr 13 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Tie-Watch.git;a=log;h=master

* Mon Mar 07 2011 Jakub Bogusz <qboosh@pld-linux.org> a69ca7e
- updated to 1.301

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 463c80f
- release 3

* Sat Feb 09 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> ad762a6
- rel.2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 70df291
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 323ea71
- converted to UTF-8

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> 22f0df5
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Mon Oct 31 2005 Paweł Cyranek <pawel.cyranek@gmail.com> c164bf5
- updated to 1.2

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> b0b67e7
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> 24b5169
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> 031638f
- fixed perl-devel BR

* Mon May 03 2004 ankry <ankry@pld-linux.org> e67336e
- tests added, licence fix, cosmetics

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> 2f87518
- cosmetics

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> a148697
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 5685e0e
- mass commit: cosmetics (removed trailing white spaces)

* Fri Jun 13 2003 trojan <trojan@pld-linux.org> a91bfb5
- updated to 1.1

* Sun May 25 2003 Michal Moskal <michal@moskal.me> b577f3a
- massive attack, adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 386927f
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> dbad815
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 2d74996
- should be ready for perl-5.8.0; release++

* Mon Feb 24 2003 radek <radek@pld-linux.org> 7895081
- use the __perl macro

